# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-03-24 09:42
from __future__ import unicode_literals

import android.validator
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AppConfig',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('min_version_code', models.IntegerField()),
                ('version_code', models.IntegerField()),
                ('version_name', models.CharField(max_length=50)),
                ('version_url', models.CharField(max_length=100)),
                ('update_text', models.TextField()),
                ('has_offer', models.BooleanField(default=False)),
                ('offer_name', models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                'verbose_name': 'App Config',
                'verbose_name_plural': 'App Configs',
            },
        ),
        migrations.CreateModel(
            name='AppSlidingImages',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField(auto_now_add=True)),
                ('number', models.CharField(blank=True, max_length=1000, null=True)),
                ('link', models.CharField(blank=True, max_length=1000, null=True)),
                ('model_pic', models.ImageField(default='img/slidingimg/gc.jpg', upload_to='img/slidingimg/', validators=[android.validator.validate_file_extension])),
            ],
            options={
                'ordering': ('-time',),
                'verbose_name': 'Slide Image',
                'verbose_name_plural': 'Slide Images',
            },
        ),
    ]
